Package twisted :: Package im :: Module ircsupport :: Class IRCPerson

[show private | hide private]
[frames | no frames]

## Class IRCPerson

    AbstractPerson --+
                     |
                    IRCPerson

Method Summary
| `__init__(self, name, baseAccount)` (inherited from `AbstractPerson`)
| `__repr__(self)` (inherited from `AbstractPerson`)
| `__str__(self)` (inherited from `AbstractPerson`)
| ``getIdleTime`(self)` Returns a string. (inherited from `AbstractPerson`)
| ``getPersonCommands`(self)` finds person commands (inherited from `AbstractPerson`)
| `getStatus(self)`
| `imperson_whois(self)`
| `isOnline(self)`
| `sendMessage(self, text, meta)`
| `setStatus(self, status)`

Generated by Epydoc 1.1 on Thu May 8 13:18:23 2003 | http://epydoc.sf.net